httpd-users-de mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Max Dittrich <max.dittr...@t-online.de>
Subject Re: php4 und php5?
Date Wed, 06 Sep 2006 16:12:32 GMT
Hi,

Rainer Sokoll schrieb:
> Hallo,
> 
> ich habe das Problem, daß mein Apache php5 hat, ich aber gene eine
> Applikation installieren möchte, die zwingend php4 voraussetzt.
> Wie löst man das elegant?
> Mir fallen 2 Möglichkeiten ein:
> 1.: eine zweite Instanz auf einem anderen Port laufen lassen und mittels
>     RedirectMatch auf den neuen Port umlenken oder
> 2.: eine zweite Instanz auf einer zweiten IP laufen lassen.
> 
> Gibts da etwas eleganteres, ohne daß ich einen zweiten Apache starten
> muß?

Du könntest eine der PHP-Versionen per FastCGI (mod_fcgid) einbinden 
oder im Notfall mit reinem CGI.

Und wenn Du schon dabei bist könntest Du beide Versionen per FastCGI 
laufen lassen und auf das Event-MPM umstellen. Das soll ja doch einige 
Ressourcen freimachen und zusätzlich hat man über FCGI die Möglichkeit 
echtes SuExec zu benutzen.

Grüsse,
.max

--------------------------------------------------------------------------
                Apache HTTP Server Mailing List "users-de" 
      unsubscribe-Anfragen an users-de-unsubscribe@httpd.apache.org
           sonstige Anfragen an users-de-help@httpd.apache.org
--------------------------------------------------------------------------


Mime
View raw message